diff --git a/modules/gui/qt4/qt4.cpp b/modules/gui/qt4/qt4.cpp
index 3d08ab6..2658356 100644
--- a/modules/gui/qt4/qt4.cpp
+++ b/modules/gui/qt4/qt4.cpp
@@ -498,6 +498,13 @@ static void *Thread( void *obj )
     else
         p_mi = NULL;
 
+    /* Test to see if something was started from command line, if so, add to MRL (fixes #5404) */
+    PLModel* model = PLModel::getPLModel( p_intf );
+    if( model->rowCount() > 0 ) {
+        QModelIndex c = model->index( 0, 7, QModelIndex() ); /* Column 7 contains the URI of the command line entry */
+        RecentsMRL::getInstance( p_intf )->addRecent( model->data( c, Qt::DisplayRole ).toString() );
+    }
+
     /* Explain how to show a dialog :D */
     p_intf->pf_show_dialog = ShowDialog;
 
